summaryrefslogtreecommitdiff
path: root/source4/script
diff options
context:
space:
mode:
authorJelmer Vernooij <jelmer@samba.org>2005-10-26 14:18:27 +0000
committerGerald (Jerry) Carter <jerry@samba.org>2007-10-10 13:45:16 -0500
commit8ee1ee66edb1c98b63cbc26741080932995156a4 (patch)
tree06d6d15aeb9addb392328abcae53bb7673b7b91d /source4/script
parentbf300c868781fed3b0c0556b4e40608589ad1585 (diff)
downloadsamba-8ee1ee66edb1c98b63cbc26741080932995156a4.tar.gz
samba-8ee1ee66edb1c98b63cbc26741080932995156a4.tar.bz2
samba-8ee1ee66edb1c98b63cbc26741080932995156a4.zip
r11303: Support defining and installing public headers for libraries.
Support installing libraries. Get rid of pkg-config file (will be autogenerated later on). (This used to be commit b4745032a2c55752c527026feb221ccc3dce10c8)
Diffstat (limited to 'source4/script')
-rwxr-xr-xsource4/script/installheader.sh26
-rwxr-xr-xsource4/script/installlib.sh26
-rwxr-xr-xsource4/script/uninstallheader.sh35
-rwxr-xr-xsource4/script/uninstalllib.sh35
4 files changed, 122 insertions, 0 deletions
diff --git a/source4/script/installheader.sh b/source4/script/installheader.sh
new file mode 100755
index 0000000000..9aed5ed1c3
--- /dev/null
+++ b/source4/script/installheader.sh
@@ -0,0 +1,26 @@
+#!/bin/sh
+
+INCLUDEDIR=$1
+shift
+
+for p in $*; do
+ p2=`basename $p`
+ echo Installing $p as $INCLUDEDIR/$p2
+ if [ -f $INCLUDEDIR/$p2 ]; then
+ rm -f $INCLUDEDIR/$p2.old
+ mv $INCLUDEDIR/$p2 $INCLUDEDIR/$p2.old
+ fi
+ cp $p $INCLUDEDIR/
+
+done
+
+cat << EOF
+======================================================================
+The headers are installed. You may restore the old headers (if there
+were any) using the command "make revert". You may uninstall the headers
+using the command "make uninstallheader" or "make uninstall" to uninstall
+binaries, man pages and shell scripts.
+======================================================================
+EOF
+
+exit 0
diff --git a/source4/script/installlib.sh b/source4/script/installlib.sh
new file mode 100755
index 0000000000..4e3d5f62c7
--- /dev/null
+++ b/source4/script/installlib.sh
@@ -0,0 +1,26 @@
+#!/bin/sh
+
+LIBDIR=$1
+
+shift
+
+for p in $*; do
+ p2=`basename $p`
+ echo Installing $p as $LIBDIR/$p2
+ if [ -f $LIBDIR/$p2 ]; then
+ rm -f $LIBDIR/$p2.old
+ mv $LIBDIR/$p2 $LIBDIR/$p2.old
+ fi
+ cp $p $LIBDIR/
+done
+
+cat << EOF
+======================================================================
+The shared libraries are installed. You may restore the old libraries (if there
+were any) using the command "make revert". You may uninstall the libraries
+using the command "make uninstalllib" or "make uninstall" to uninstall
+binaries, man pages and shell scripts.
+======================================================================
+EOF
+
+exit 0
diff --git a/source4/script/uninstallheader.sh b/source4/script/uninstallheader.sh
new file mode 100755
index 0000000000..cb491f071a
--- /dev/null
+++ b/source4/script/uninstallheader.sh
@@ -0,0 +1,35 @@
+#!/bin/sh
+# based on uninstallbin.sh:
+# 4 July 96 Dan.Shearer@UniSA.edu.au
+
+INCLUDEDIR=$1
+shift
+
+if [ ! -d $INCLUDEDIR ]; then
+ echo Directory $INCLUDEDIR does not exist!
+ echo Do a "make installbin" or "make install" first.
+ exit 1
+fi
+
+for p in $*; do
+ p2=`basename $p`
+ if [ -f $INCLUDEDIR/$p2 ]; then
+ echo Removing $INCLUDEDIR/$p2
+ rm -f $INCLUDEDIR/$p2
+ if [ -f $INCLUDEDIR/$p2 ]; then
+ echo Cannot remove $INCLUDEDIR/$p2 ... does $USER have privileges?
+ fi
+ fi
+done
+
+
+cat << EOF
+======================================================================
+The headers have been uninstalled. You may restore the headers using
+the command "make installheader" or "make install" to install binaries,
+man pages, modules and shell scripts. You can restore a previous
+version of the headers (if there were any) using "make revert".
+======================================================================
+EOF
+
+exit 0
diff --git a/source4/script/uninstalllib.sh b/source4/script/uninstalllib.sh
new file mode 100755
index 0000000000..9c45b2c941
--- /dev/null
+++ b/source4/script/uninstalllib.sh
@@ -0,0 +1,35 @@
+#!/bin/sh
+# based on uninstallbin.sh
+# 4 July 96 Dan.Shearer@UniSA.edu.au
+
+LIBDIR=$1
+shift
+
+if [ ! -d $LIBDIR ]; then
+ echo Directory $LIBDIR does not exist!
+ echo Do a "make installbin" or "make install" first.
+ exit 1
+fi
+
+for p in $*; do
+ p2=`basename $p`
+ if [ -f $LIBDIR/$p2 ]; then
+ echo Removing $LIBDIR/$p2
+ rm -f $LIBDIR/$p2
+ if [ -f $LIBDIR/$p2 ]; then
+ echo Cannot remove $LIBDIR/$p2 ... does $USER have privileges?
+ fi
+ fi
+done
+
+
+cat << EOF
+======================================================================
+The shared libraries have been uninstalled. You may restore the libraries using
+the command "make installlib" or "make install" to install binaries,
+man pages, modules and shell scripts. You can restore a previous
+version of the libraries (if there were any) using "make revert".
+======================================================================
+EOF
+
+exit 0